---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 1.3.20
platform: linux
architecture: arm64
distribution: tar
id: '8136'
rc: '5'
test-run:
  Command: ./test.sh integ-test manifests/1.3.20/opensearch-dashboards-1.3.20-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.20/10599/linux/arm64/tar
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/1.3.20/8136/linux/arm64/tar
  TestType: integ-test
  TestManifest: manifests/1.3.20/opensearch-dashboards-1.3.20-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/dist/opensearch-dashboards/manifest.yml
  TestID: '6836'
components:
  - name: anomalyDetectionDashboards
    command: ./test.sh integ-test manifests/1.3.20/opensearch-dashboards-1.3.20-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.20/10599/linux/arm64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/1.3.20/8136/linux/arm64/tar
      --component anomalyDetectionDashboards
    repository: https://github.com/opensearch-project/anomaly-detection-dashboards-plugin
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/anomalyDetectionDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/anomalyDetectionDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/anomalyDetectionDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: alertingDashboards
    command: ./test.sh integ-test manifests/1.3.20/opensearch-dashboards-1.3.20-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/1.3.20/10599/linux/arm64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/1.3.20/8136/linux/arm64/tar
      --component alertingDashboards
    repository: https://github.com/opensearch-project/alerting-dashboards-plugin.git
    configs:
      - name: with-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/alertingDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - bucket_level_monitor_spec.js#Bucket-Level Monitors can be created by visual
            editor
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/alertingDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/1.3.20/8136/linux/arm64/tar/test-results/6836/integ-test/alertingDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
